<?php namespace EwTools\Admin\ProjectPluginPage;

use EwTools\Interfaces\ComponentsPageInterface;
use EwTools\Interfaces\PluginPageInterface;
use EwTools\Twig\View;

/**
 * WidgetsPage
 *
 * @link    http://infomaker.se
 * @package EwTools\Admin\ProjectPluginPage
 * @since   EwTools\Admin\ProjectPluginPage\WidgetsPage 0.1
 */
class WidgetsPage extends ComponentsPage implements PluginPageInterface, ComponentsPageInterface {
    
    /**
     * Active plugins options
     *
     * @var string
     */
    protected static $option_name = 'everyware_active_widgets';
    
    /**
     * @var string
     */
    protected static $slug = 'widgets';
    
    /**
     * @var string
     */
    protected static $title = 'Widgets';
    
    /**
     * Function for outputting the admin page of the components from the menu
     *
     * @since 0.1
     * @return mixed
     */
    public function renderPage() {
        View::render( '@tools/admin/components/widgets', $this->getComponentsPageData( [
            'description'    => __( 'From here you can manage your custom widgets for the site.', $this->text_domain ),
        ] ) );
    }
}